Loading...
Searching...
No Matches
XrdCl::ZipReadFromImpl< HasHndl > Class Template Reference

Read operation (. More...

`#include <XrdClZipOperations.hh>`

Inheritance diagram for XrdCl::ZipReadFromImpl< HasHndl >:
Collaboration diagram for XrdCl::ZipReadFromImpl< HasHndl >:

## Public Types

enum | { FileNameArg , OffsetArg , SizeArg , BufferArg }
| Argument indexes in the args tuple. More...

## Public Member Functions

std::string | ToString ()
Public Member Functions inherited from XrdCl::ZipOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arg< std::string >, Arg< uint64_t >, Arg< uint32_t >, Arg< void * > >
virtual | ~ZipOperation ()
| Destructor.
Public Member Functions inherited from XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >
Operation< HasHndl > * | Move ()
ZipReadFromImpl< true > | operator>> (Hdlr &&hdlr)
ZipReadFromImpl< true > | operator| (Operation< true > &op)
ZipReadFromImpl< HasHndl > | Timeout (uint16_t timeout)
| Set operation timeout.
Operation< true > * | ToHandled ()
Public Member Functions inherited from XrdCl::Operation< HasHndl >
| Operation ()
| Constructor.
template<bool from>
| Operation (Operation< from > &&op)
| Move constructor between template instances.
virtual | ~Operation ()
| Destructor.

## Protected Member Functions

XRootDStatus | RunImpl (PipelineHandler *handler, uint16_t pipelineTimeout)
Protected Member Functions inherited from XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >
ZipReadFromImpl< true > | StreamImpl (ResponseHandler *handler)
ZipReadFromImpl< to > | Transform ()
Protected Member Functions inherited from XrdCl::Operation< HasHndl >
void | AddOperation (Operation< true > *op)
void | Run (Timeout timeout, std::promise< XRootDStatus > prms, std::function< void(const XRootDStatus &)> final)

## Additional Inherited Members

Static Protected Member Functions inherited from XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >
static void | AllocHandler (ConcreteOperation< ZipReadFromImpl, true, Resp< ChunkInfo >, Args... > &me)
static ZipReadFromImpl< true > | PipeImpl (ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Args... > &me, Operation< true > &op)
Protected Attributes inherited from XrdCl::ZipOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arg< std::string >, Arg< uint64_t >, Arg< uint32_t >, Arg< void * > >
Ctx< ZipArchive > | zip
| The file object itself.
Protected Attributes inherited from XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >
std::tuple< Args... > | args
| Operation arguments.
uint16_t | timeout
| Operation timeout.
Protected Attributes inherited from XrdCl::Operation< HasHndl >
std::unique_ptr< PipelineHandler > | handler
| Operation handler.
bool | valid
| Flag indicating if it is a valid object.

## Detailed Description

template<bool HasHndl>
class XrdCl::ZipReadFromImpl< HasHndl >

Read operation (.

See also
  ZipOperation)

Definition at line 254 of file XrdClZipOperations.hh.

## Member Enumeration Documentation

## anonymous enum

template<bool HasHndl>

anonymous enum

Argument indexes in the args tuple.

Enumerator
FileNameArg |
OffsetArg |
SizeArg |
BufferArg |

Definition at line 268 of file XrdClZipOperations.hh.

{ FileNameArg, OffsetArg, SizeArg, BufferArg };
XrdCl::ZipReadFromImpl::BufferArg
@ BufferArg
Definition XrdClZipOperations.hh:268
XrdCl::ZipReadFromImpl::OffsetArg
@ OffsetArg
Definition XrdClZipOperations.hh:268
XrdCl::ZipReadFromImpl::FileNameArg
@ FileNameArg
Definition XrdClZipOperations.hh:268
XrdCl::ZipReadFromImpl::SizeArg
@ SizeArg
Definition XrdClZipOperations.hh:268

## Member Function Documentation

## RunImpl()

template<bool HasHndl>

XRootDStatus XrdCl::ZipReadFromImpl< HasHndl >::RunImpl | ( | PipelineHandler * | handler,
|  | uint16_t | pipelineTimeout )

inline protected virtual

RunImpl operation (

See also
  Operation)

Parameters

  params | : container with parameters forwarded from previous operation

Returns
  : status of the operation

Implements XrdCl::Operation< HasHndl >.

Definition at line 287 of file XrdClZipOperations.hh.

{
std::string &fn = std::get<FileNameArg>( this->args ).Get();
uint64_t offset = std::get<OffsetArg>( this->args ).Get();
uint32_t size = std::get<SizeArg>( this->args ).Get();
void *buffer = std::get<BufferArg>( this->args ).Get();
uint16_t timeout = pipelineTimeout < this->timeout ?
pipelineTimeout : this->timeout;
return this->zip->ReadFrom( fn, offset, size, buffer, handler, timeout );
}
XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >::args
std::tuple< Args... > args
Definition XrdClOperations.hh:737
XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >::timeout
uint16_t timeout
Definition XrdClOperations.hh:742
XrdCl::Operation::handler
std::unique_ptr< PipelineHandler > handler
Operation handler.
Definition XrdClOperations.hh:150
XrdCl::ZipOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arg< std::string >, Arg< uint64_t >, Arg< uint32_t >, Arg< void * > >::zip
Ctx< ZipArchive > zip
Definition XrdClZipOperations.hh:70
XrdCl::ZipReadFromImpl
Read operation (.
Definition XrdClZipOperations.hh:256

References XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >::args, XrdCl::Operation< HasHndl >::handler, XrdCl::ConcreteOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arguments... >::timeout, and XrdCl::ZipOperation< ZipReadFromImpl, HasHndl, Resp< ChunkInfo >, Arg< std::string >, Arg< uint64_t >, Arg< uint32_t >, Arg< void * > >::zip.

## ToString()

template<bool HasHndl>

std::string XrdCl::ZipReadFromImpl< HasHndl >::ToString | ( |  | ) |

inline virtual

Returns
  : name of the operation (

See also
  Operation)

Implements XrdCl::Operation< HasHndl >.

Definition at line 273 of file XrdClZipOperations.hh.

{
return "ZipReadFrom";
}

The documentation for this class was generated from the following file:

- XrdClZipOperations.hh